%global         svn svn32
%global         snapshot 20121220%{svn}

%define major   0
%define libname %mklibname amf %{major}
%define devname %mklibname amf -d

%define rel     15

Name:           amftools
Version:        0.0
Release:        %mkrel -c %{svn} %{rel}
Summary:        AMF file library
# License is in files
License:        LGPLv3+
Group:          Development/C++
URL:            https://sourceforge.net/projects/amftools/
# svn export svn://svn.code.sf.net/p/%%{name}/code/trunk %%{name}
# tar -pczf %%{name}-%%{svn}.tar.gz %%{name}
Source0:        %{name}-%{svn}.tar.gz
Source1:        %{name}-Makefile
BuildRequires:  GL-devel
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(stb)
BuildRequires:  rapidxml-devel

%description
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{libname}
Summary:        AMF file library
Group:          System/Libraries

%description -n %{libname}
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{devname}
Summary:        AMF tools development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for AMF tools.

%prep
%setup -qn %{name}

cp %{SOURCE1} Makefile

# Bundling
rm -rf */muparser */stb_image include/rapidxml */zip
sed -i 's|muparser/muParser.h|muParser.h|g' include/Equation.h
sed -i 's|stb_image/stb_image.h|stb/stb_image.h|g' src/SimpleImage.cpp
sed -i 's|rapidxml/||g' include/XmlStream.h src/XmlStream.cpp

%build
%make_build \
	CFLAGS="%{optflags}" \
	LIBS="%{ldflags} -lGL -lzip -lstb -lmuparser"

%install
install -Dpm0755 libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so
mkdir -p %{buildroot}%{_includedir}
cp -arp include %{buildroot}%{_includedir}/amf


%files -n %{libname}
%{_libdir}/libamf.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libamf.so
%{_includedir}/amf/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.0-0.svn32.15.mga10
+ Revision: 2220557
- Mageia 10 Mass Rebuild

* Wed Dec 06 2023 daviddavid <daviddavid> 0.0-0.svn32.14.mga10
+ Revision: 2013805
- switch to stb instead of old stbi development package

* Mon Mar 14 2022 umeabot <umeabot> 0.0-0.svn32.13.mga9
+ Revision: 1791112
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.svn32.12.mga8-current
+ Revision: 1508465
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.0-0.svn32.11.mga7
+ Revision: 1294318
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 wally <wally> 0.0-0.svn32.10.mga7
+ Revision: 1187967
- rebuild for new libzip
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 daviddavid <daviddavid> 0.0-0.svn32.8.mga6
+ Revision: 904142
- rebuild for new libzip 1.0.1

* Thu Sep 03 2015 cjw <cjw> 0.0-0.svn32.7.mga6
+ Revision: 872619
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.0-0.svn32.6.mga5
+ Revision: 746162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-0.svn32.5.mga5
+ Revision: 686495
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0-0.svn32.4.mga5
+ Revision: 677750
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 0.0-0.svn32.3.mga5
+ Revision: 662342
- fix libification
- use our compiler/linker flags

* Thu Jun 26 2014 spuhler <spuhler> 0.0-0.svn32.2.mga5
+ Revision: 639761
- rebuild with updated libs

* Thu Jun 05 2014 spuhler <spuhler> 0.0-0.svn32.1.mga5
+ Revision: 633484
- first release after import from Fedora
- imported package amftools


* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 0.0-4.20121220svn32
- rebuild for new libzip

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-3.20121220svn32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Miro Hrončok <mhroncok@redhat.com> - 0.0-2.20121220svn32
- Soname version 0.0.0 -> 0.0
- Removing include/zip in %%prep, as it works fine
- Added -lmuparser to Makefile

* Fri Feb 01 2013 Miro Hrončok <mhroncok@redhat.com> - 0.0-1.20121220svn32
- Started

